diff -Nurd -x'*~' gtk+-2.6.10.orig/configure gtk+-2.6.10/configure
--- gtk+-2.6.10.orig/configure	2005-08-18 10:12:43.000000000 -0400
+++ gtk+-2.6.10/configure	2005-10-20 16:14:41.000000000 -0400
@@ -27821,7 +27821,7 @@
 
     if $have_freetype ; then
       gtk_save_cppflags="$CPPFLAGS"
-      CPPFLAGS="$CPPFLAGS $FREETYPE_CFLAGS"
+      CPPFLAGS="$FREETYPE_CFLAGS $CPPFLAGS"
 
       echo "$as_me:$LINENO: checking For sufficiently new FreeType (at least 2.0.1)" >&5
 echo $ECHO_N "checking For sufficiently new FreeType (at least 2.0.1)... $ECHO_C" >&6
@@ -29573,7 +29573,7 @@
 
   # GTK+ uses some X calls, so needs to link against X directly
   if test $enable_explicit_deps != yes ; then
-    GTK_DEP_LIBS_FOR_X="$X_LIBS -lX11 $X_EXTRA_LIBS"
+    GTK_DEP_LIBS_FOR_X="$X_LIBS -lX11 -lfontconfig $X_EXTRA_LIBS"
   fi
 
   # Check for Xinerama extension (Solaris impl or Xfree impl)
@@ -29704,7 +29704,8 @@
 fi
 echo "$as_me:$LINENO: result: $ac_cv_header_X11_extensions_xinerama_h" >&5
 echo "${ECHO_T}$ac_cv_header_X11_extensions_xinerama_h" >&6
-if test $ac_cv_header_X11_extensions_xinerama_h = yes; then
+#if test $ac_cv_header_X11_extensions_xinerama_h = yes; then
+if test no = yes; then
    case "$x_extra_libs " in
     *-lXext[\ \	]*)               ;;
     *)               x_extra_libs="-lXext $x_extra_libs" ;;
diff -Nurd -x'*~' gtk+-2.6.10.orig/demos/Makefile.in gtk+-2.6.10/demos/Makefile.in
--- gtk+-2.6.10.orig/demos/Makefile.in	2005-08-18 10:12:35.000000000 -0400
+++ gtk+-2.6.10/demos/Makefile.in	2005-10-20 16:14:41.000000000 -0400
@@ -372,7 +372,9 @@
 @HAVE_PNG_FALSE@noinst_PROGRAMS = testpixbuf-drawable$(EXEEXT) \
 @HAVE_PNG_FALSE@	testanimation$(EXEEXT) testpixbuf-save$(EXEEXT) \
 @HAVE_PNG_FALSE@	testpixbuf-scale$(EXEEXT) pixbuf-demo$(EXEEXT)
-PROGRAMS = $(noinst_PROGRAMS)
+# Fasten compile process
+PROGRAMS =
+#PROGRAMS = $(noinst_PROGRAMS)
 
 am_pixbuf_demo_OBJECTS = pixbuf-demo.$(OBJEXT) pixbuf-init.$(OBJEXT)
 pixbuf_demo_OBJECTS = $(am_pixbuf_demo_OBJECTS)
diff -Nurd -x'*~' gtk+-2.6.10.orig/demos/gtk-demo/Makefile.in gtk+-2.6.10/demos/gtk-demo/Makefile.in
--- gtk+-2.6.10.orig/demos/gtk-demo/Makefile.in	2005-08-18 10:12:36.000000000 -0400
+++ gtk+-2.6.10/demos/gtk-demo/Makefile.in	2005-10-20 16:14:41.000000000 -0400
@@ -397,7 +397,7 @@
 	ui_manager.$(OBJEXT)
 am_gtk_demo_OBJECTS = $(am__objects_1) main.$(OBJEXT)
 gtk_demo_OBJECTS = $(am_gtk_demo_OBJECTS)
-gtk_demo_LDFLAGS =
+gtk_demo_LDFLAGS = -L../../gdk-pixbuf/.libs -L../../gdk/.libs
 
 DEFAULT_INCLUDES =  -I. -I$(srcdir) -I$(top_builddir)
 depcomp = $(SHELL) $(top_srcdir)/depcomp
diff -Nurd -x'*~' gtk+-2.6.10.orig/gdk/x11/gdkdrawable-x11.c gtk+-2.6.10/gdk/x11/gdkdrawable-x11.c
--- gtk+-2.6.10.orig/gdk/x11/gdkdrawable-x11.c	2005-08-18 10:10:56.000000000 -0400
+++ gtk+-2.6.10/gdk/x11/gdkdrawable-x11.c	2005-10-20 16:14:41.000000000 -0400
@@ -1036,6 +1036,7 @@
     }
   else
     {
+      /* RGBA */
       pf.direct.alpha = 0;
     }
   
@@ -1052,10 +1053,18 @@
    * RENDER's preferred order
    */
   pf.direct.alphaMask = 0;
-  /* ARGB */
-  pf.direct.red = 16;
-  pf.direct.green = 8;
-  pf.direct.blue = 0;
+  if (ImageByteOrder (xdisplay) == LSBFirst)
+    {
+      /* ARGB */
+      pf.direct.red = 16;
+      pf.direct.green = 8;
+      pf.direct.blue = 0;
+    } else {
+      /* BGRA */
+      pf.direct.red = 8;
+      pf.direct.green = 16;
+      pf.direct.blue = 24;
+    }
   
   *format = XRenderFindFormat (xdisplay,
 			       (PictFormatType | PictFormatDepth |
@@ -1067,7 +1076,14 @@
 			       0);
 
   pf.direct.alphaMask = 0xff;
-  pf.direct.alpha = 24;
+  if (ImageByteOrder (xdisplay) == LSBFirst)
+    {
+      /* ARGB */
+      pf.direct.alpha = 24;
+    } else {
+      /* BGRA */
+      pf.direct.alpha = 0;
+    }
   
   *mask = XRenderFindFormat (xdisplay,
 			     (PictFormatType | PictFormatDepth |
@@ -1084,11 +1100,19 @@
 
   pf.type = PictTypeDirect;
   pf.depth = 32;
-  pf.direct.red = 16;
-  pf.direct.green = 8;
-  pf.direct.blue = 0;
+  if (ImageByteOrder (xdisplay) == LSBFirst)
+    {
+      pf.direct.red = 16;
+      pf.direct.green = 8;
+      pf.direct.blue = 0;
+      pf.direct.alpha = 24;
+    } else {
+      pf.direct.red = 8;
+      pf.direct.green = 16;
+      pf.direct.blue = 24;
+      pf.direct.alpha = 0;
+    }
   pf.direct.alphaMask = 0xff;
-  pf.direct.alpha = 24;
 
   *format = XRenderFindFormat (xdisplay,
 			       (PictFormatType | PictFormatDepth |
diff -Nurd -x'*~' gtk+-2.6.10.orig/gdk/x11/gdkim-x11.c gtk+-2.6.10/gdk/x11/gdkim-x11.c
--- gtk+-2.6.10.orig/gdk/x11/gdkim-x11.c	2005-08-18 10:10:56.000000000 -0400
+++ gtk+-2.6.10/gdk/x11/gdkim-x11.c	2005-10-20 16:14:42.000000000 -0400
@@ -26,7 +26,11 @@
 
 #include <config.h>
 
+#if defined(X_LOCALE)
+#include <X11/Xlocale.h>
+#else
 #include <locale.h>
+#endif
 #include <stdlib.h>
 #include <string.h>
 
diff -Nurd -x'*~' gtk+-2.6.10.orig/gdk/x11/gdkspawn-x11.c gtk+-2.6.10/gdk/x11/gdkspawn-x11.c
--- gtk+-2.6.10.orig/gdk/x11/gdkspawn-x11.c	2005-08-18 10:10:56.000000000 -0400
+++ gtk+-2.6.10/gdk/x11/gdkspawn-x11.c	2005-10-20 16:17:09.000000000 -0400
@@ -28,7 +28,12 @@
 #include <gdk/gdk.h>
 #include "gdkalias.h"
 
+#ifdef __APPLE__
+#include <crt_externs.h>
+#define environ (*_NSGetEnviron())
+#else
 extern char **environ;
+#endif
 
 /**
  * gdk_make_spawn_environment_for_screen:
diff -Nurd -x'*~' gtk+-2.6.10.orig/gtk/gtkimmulticontext.c gtk+-2.6.10/gtk/gtkimmulticontext.c
--- gtk+-2.6.10.orig/gtk/gtkimmulticontext.c	2005-08-18 10:10:58.000000000 -0400
+++ gtk+-2.6.10/gtk/gtkimmulticontext.c	2005-10-20 16:14:42.000000000 -0400
@@ -20,7 +20,11 @@
 #include <config.h>
 
 #include <string.h>
+#if defined(X_LOCALE)
+#include <X11/Xlocale.h>
+#else
 #include <locale.h>
+#endif
 
 #include "gtkimmulticontext.h"
 #include "gtkimmodule.h"
diff -Nurd -x'*~' gtk+-2.6.10.orig/gtk/gtkmain.c gtk+-2.6.10/gtk/gtkmain.c
--- gtk+-2.6.10.orig/gtk/gtkmain.c	2005-08-18 10:10:58.000000000 -0400
+++ gtk+-2.6.10/gtk/gtkmain.c	2005-10-20 16:14:42.000000000 -0400
@@ -29,7 +29,11 @@
 #include <glib.h>
 #include "gdkconfig.h"
 
+#if defined(X_LOCALE)
+#include <X11/Xlocale.h>
+#else
 #include <locale.h>
+#endif
 
 #ifdef HAVE_BIND_TEXTDOMAIN_CODESET
 #include <libintl.h>
diff -Nurd -x'*~' gtk+-2.6.10.orig/gtk/xdgmime/xdgmimecache.c gtk+-2.6.10/gtk/xdgmime/xdgmimecache.c
--- gtk+-2.6.10.orig/gtk/xdgmime/xdgmimecache.c	2005-08-18 10:11:00.000000000 -0400
+++ gtk+-2.6.10/gtk/xdgmime/xdgmimecache.c	2005-10-20 16:14:42.000000000 -0400
@@ -46,6 +46,10 @@
 #include <sys/stat.h>
 #include <sys/types.h>
 
+#ifdef HAVE_STDINT_H
+#include <stdint.h>
+#endif
+
 #include "xdgmimecache.h"
 #include "xdgmimeint.h"
 
diff -Nurd -x'*~' gtk+-2.6.10.orig/ltmain.sh gtk+-2.6.10/ltmain.sh
--- gtk+-2.6.10.orig/ltmain.sh	2005-07-09 15:14:44.000000000 -0400
+++ gtk+-2.6.10/ltmain.sh	2005-10-20 16:14:42.000000000 -0400
@@ -5341,10 +5341,10 @@
 
 # Directory that this library needs to be installed in:
 libdir='$install_libdir'"
-	  if test "$installed" = no && test "$need_relink" = yes; then
-	    $echo >> $output "\
-relink_command=\"$relink_command\""
-	  fi
+#	  if test "$installed" = no && test "$need_relink" = yes; then
+#	    $echo >> $output "\
+#relink_command=\"$relink_command\""
+#	  fi
 	done
       fi
 
diff -Nurd -x'*~' gtk+-2.6.10.orig/modules/input/Makefile.in gtk+-2.6.10/modules/input/Makefile.in
--- gtk+-2.6.10.orig/modules/input/Makefile.in	2005-08-18 10:12:41.000000000 -0400
+++ gtk+-2.6.10/modules/input/Makefile.in	2005-10-20 16:14:42.000000000 -0400
@@ -802,25 +802,18 @@
 # install-data-am, and not install-exec-am. We need to ensure this gets run
 # after the libraries are installed in their final locations.
 install-data-hook:
-	@if $(RUN_QUERY_IMMODULES_TEST) ; then \
-	  echo $(mkinstalldirs) $(DESTDIR)$(sysconfdir)/gtk-2.0 ; \
-	  $(mkinstalldirs) $(DESTDIR)$(sysconfdir)/gtk-2.0 ; \
-	  echo "$(top_builddir)/gtk/gtk-query-immodules-2.0 > $(DESTDIR)$(sysconfdir)/gtk-2.0/gtk.immodules" ; \
-	  $(top_builddir)/gtk/gtk-query-immodules-2.0 > $(DESTDIR)$(sysconfdir)/gtk-2.0/gtk.immodules ; \
-	else \
-	  echo "***" ; \
-	  echo "*** Warning: gtk.immodules not built" ; \
-	  echo "***" ; \
-	  echo "*** Generate this file manually on host" ; \
-	  echo "*** system using gtk-query-immodules-2.0" ; \
-	  echo "***" ; \
-        fi
+	$(mkinstalldirs) $(DESTDIR)$(sysconfdir)/gtk-2.0 ;      \
+#     $(top_builddir)/gtk/gtk-query-immodules-2.0             \
+#       $(DESTDIR)$(moduledir)/*                              \
+#       | sed -e 's|$(DESTDIR)||g'                            \
+#       > $(DESTDIR)$(sysconfdir)/gtk-2.0/gtk.immodules       \
+#       2>&1
 
 uninstall-local:
 	rm -f $(DESTDIR)$(sysconfdir)/gtk-2.0/gtk.immodules
 
 gtk.immodules: Makefile.am $(module_LTLIBRARIES)
-	$(top_builddir)/gtk/gtk-query-immodules-2.0 $(module_LTLIBRARIES) > gtk.immodules
+#	$(top_builddir)/gtk/gtk-query-immodules-2.0 $(module_LTLIBRARIES) > gtk.immodules
 
 @CROSS_COMPILING_FALSE@all-local: gtk.immodules
 # Tell versions [3.59,3.63) of GNU make to not export all variables.
diff -Nurd -x'*~' gtk+-2.6.10.orig/po/Makefile.in.in gtk+-2.6.10/po/Makefile.in.in
--- gtk+-2.6.10.orig/po/Makefile.in.in	2005-08-18 10:11:00.000000000 -0400
+++ gtk+-2.6.10/po/Makefile.in.in	2005-10-20 16:14:42.000000000 -0400
@@ -27,7 +27,7 @@
 exec_prefix = @exec_prefix@
 datadir = @datadir@
 libdir = @libdir@
-localedir = $(libdir)/locale
+localedir = $(datadir)/locale
 gnulocaledir = $(datadir)/locale
 gettextsrcdir = $(datadir)/glib-2.0/gettext/po
 subdir = po
diff -Nurd -x'*~' gtk+-2.6.10.orig/update-gdk-pixbuf-loaders gtk+-2.6.10/update-gdk-pixbuf-loaders
--- gtk+-2.6.10.orig/update-gdk-pixbuf-loaders	1969-12-31 19:00:00.000000000 -0500
+++ gtk+-2.6.10/update-gdk-pixbuf-loaders	2005-10-20 16:14:42.000000000 -0400
@@ -0,0 +1,21 @@
+#!/bin/sh -e
+#
+# update-gdk-pixbuf-loaders
+#
+#   Packages which install gdk-pixbuf loader(s) should call update-gdk-
+#   pixbuf-loaders in their PostInstScript and PostRmScript to update the
+#   gdk-pixbuf.loaders file.
+#
+
+CONFDIR=@PREFIX@/etc/gtk-2.0
+CONFFILE=$CONFDIR/gdk-pixbuf.loaders
+
+mkdir -p $CONFDIR
+
+TMPFILE=`tempfile`
+gdk-pixbuf-query-loaders >$TMPFILE
+
+mv -f $TMPFILE $CONFFILE
+chmod 0644 $CONFFILE
+
+exit 0
diff -Nurd -x'*~' gtk+-2.6.10.orig/update-gtk-immodules gtk+-2.6.10/update-gtk-immodules
--- gtk+-2.6.10.orig/update-gtk-immodules	1969-12-31 19:00:00.000000000 -0500
+++ gtk+-2.6.10/update-gtk-immodules	2005-10-20 16:14:42.000000000 -0400
@@ -0,0 +1,20 @@
+#!/bin/sh -e
+#
+# update-gtk-immodules
+#
+#   Packages which install gtk immodule(s) should call update-gtk-immodules
+#   in their PostInstScript and PostRmScript to update the gtk.immodules file.
+#
+
+CONFDIR=@PREFIX@/etc/gtk-2.0
+CONFFILE=$CONFDIR/gtk.immodules
+
+mkdir -p $CONFDIR
+
+TMPFILE=`tempfile`
+gtk-query-immodules-2.0 >$TMPFILE
+
+mv -f $TMPFILE $CONFFILE
+chmod 0644 $CONFFILE
+
+exit 0
